Subject: Re: powerpc/fsl-pci: Unify pci/pcie initialization code

From: Scott Wood <[email-masked]>
Date: Thu, 5 Nov 2015 17:40:21 -0600

On Thu, 2015-11-05 at 15:16 -0800, Daniel Walker wrote:
> On 11/05/2015 03:12 PM, Scott Wood wrote:
> > On Thu, 2015-11-05 at 10:48 -0800, Daniel Walker wrote:
> > > Hi,
> > > 
> > > 905e75c46dba5f3061049277e4eb7110beedba43:arch/powerpc/platforms/85xx/mpc85xx_ads.c
> > > 
> > > 
> > > 
> > > This commit seems to cause problems with PCI devices doing DMA, just
> > > with mpc85xx ads. If you do the "fsl_add_bridge()" after you setup the
> > > ppc_md.pci_exclude_device to mpc85xx_exclude_device, then the
> > > early_read_config_word() calls in
> > > arch/powerpc/sysdev/fsl_pci.c:setup_pci_cmd() are like no-ops.
> > > 
> > > This issue was found by David Beazley (on the CC), he can respond to
> > > more detailed questions on it. The fix he came up with was to remove the
> > > "pci_exclude_device".
> > > 
> > > Daniel
> > OK, please send a patch.
> > 
> 
> I was hoping Jia Hongtao could address why it wasn't address in the 
> original patch. Some of the other boards also have an exclude function, 
> and I wonder if those work with this change.

This is the only board I saw that excludes the host bridge.  It wasn't 
addressed because it wasn't noticed.

-Scott